    # File lib/facets/more/cookie.rb, line 361
        def save_all_cookies(force = nil, save_unused = true, save_discarded = true)
          if @is_saved and !force
            return
          end
          File.open(@cookies_file, 'w') do |f|
            @cookies.each do |cookie|
              if (cookie.use? or save_unused) and
                  (!cookie.discard? or save_discarded)
                f.print(cookie.url.to_s,"\t",
                        cookie.name,"\t",
                        cookie.value,"\t",
                        cookie.expires.to_i,"\t",
                        cookie.domain,"\t",
                        cookie.path,"\t",
                        cookie.flag,"\n")
              end
            end
          end
        end